> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Versioning

#### API Versioning

When updates are incompatible with previous versions (backwards-incompatible), a new, dated version of the API is released. The current version is: `2026-03-30`

API versions are specified using the `Method-Version` header, and while you may continue using older versions, you will not have access to the latest features.

You can upgrade to the latest or a specific version through the [Dashboard](https://dashboard.methodfi.com), or by specifying the version in request headers. Note that once upgraded manually, it's not possible to revert to older versions.

#### Backwards Compatible Changes

Method defines the following changes as backwards-compatible:

* Adding new API resources.
* Adding new properties to existing API responses.
* Adding new values to enum fields in API responses.
* Adding new properties to webhook payloads.
* Changes to the length, format, or content of human-readable strings (error messages, etc.).
* Adding new event types.
  * Make sure that your webhook logic can gracefully handle unfamiliar event types.

#### Library Versioning

For Method Libraries, the version is locked to the dated version of the API.

* `method-node v0.x.x` and `method-python v0.x.x` are locked to `2020-12-06`
* `method-node v1.x.x` and `method-python v1.x.x` are locked to `2024-04-04`
* `method-node v2.0.x` and `method-python v2.0.x` are locked to `2025-07-04`
* `method-node v2.1.0+` and `method-python v2.1.0+` are locked to `2025-12-01`

Use the version dropdown in the navigation bar to view documentation for your API version.

For detailed version histories, refer to our [Changelog](/changelog).

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/payments?page_limit=1&to_date=2020-12-10" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```
</RequestExample>
